Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class AreaInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.AreaInfo

Direct Known Subclasses:
  Bar_AreaInfo

    public class AreaInfo

extends ChartTypeInfo

contains the information of Area chart type in the file. The class extends chartTypeInfo

Field Summary
`static short` | `F100STACKED`
`static short` | `NORMAL`
`static short` | `STACKED`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`AreaInfo(short dataLabel, boolean is3D, Info3D info3D, short style)` Constructs class AreaInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Get the type of the chart
`short` | `getStyle()` Get the style of the area chart
`boolean` | `hasShadow()` get whether this Area has a shadow or not
`void` | `setHasShadow(boolean b)` set whether this Area has a shadow or not if the chart is 3D, it can not set shadow
`void` | `setStyle(short style)` Set the style of the area chart

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

See Also:
  Constant Field Values

### STACKED

    public static final short STACKED

See Also:
  Constant Field Values

### F100STACKED

    public static final short F100STACKED

See Also:
  Constant Field Values

Constructor Detail

### AreaInfo

    public AreaInfo(short dataLabel,
                    boolean is3D,
                    Info3D info3D,
                    short style)

  Constructs class AreaInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label
    `is3D` - Is 3D chart or not
    `style` - Style of area chart, NORMAL, STACKED OR F100STACKED

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Get the style of the area chart

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the area chart
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

### setStyle

    public void setStyle(short style)

  Set the style of the area chart

  Parameters:
    `style` - Style of the area chart
  See Also:
    `NORMAL`, `STACKED`, `F100STACKED`

### hasShadow

    public boolean hasShadow()

  get whether this Area has a shadow or not

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this Area has a shadow or not

### setHasShadow

    public void setHasShadow(boolean b)

  set whether this Area has a shadow or not if the chart is 3D, it can not set shadow

  Parameters:
    `b` - - whether this Area has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD